TheSwamp

Code Red => AutoLISP (Vanilla / Visual) => Topic started by: ScottMC on November 07, 2022, 04:12:56 PM

Title: Boundary selection visability tool
Post by: ScottMC on November 07, 2022, 04:12:56 PM
Need this and works as is but would prefer the selected remain to convince me what I picked. My guess is it needs another selector before command. Thanks

Code: [Select]
(defun c:bd ()
    (princ "\n *Crossing Select Object(s) for New Boundary..<pick inside selected>")
(command "-boundary" "a" "b" "n" "C" "\\" "\\" "" "")
(princ)
)
Title: Re: Boundary selection visability tool
Post by: BIGAL on November 07, 2022, 07:40:15 PM
Replace "C" with (setq ss (ssget)) or do the ssget 1st and use ss, I am not sure what your "\\" is doing.
Title: Re: Boundary selection visability tool
Post by: ScottMC on November 09, 2022, 09:13:20 AM
Knew y'all would get an easier select, so nice to that way! Thanks BIGAL

Code: [Select]
(defun c:bz (/ ss )
 (princ "\n Select Object(s) for New Boundary..<pick inside selected>")
(princ "\n Select Objects: ")
(setq ss (ssget))
(command "-boundary" "a" "b" "n" ss "" "")
(princ)
)
Title: Re: Boundary selection visability tool
Post by: ScottMC on November 09, 2022, 09:35:08 AM
It would be nice [also] to be able to use this trans.
Is it possible to make it trans usable? Tried a bit but no-go yet.
 Seems the pic inside [not] oops's the selection.